Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::Principal Class Reference

A "Principal" identifies an authenticated entity in the network administration framework. More...

`#include <Principal.h>`

Collaboration diagram for CORBA::Principal:

[legend]
List of all members.

## Public Types
typedef Principal_ptr | _ptr_type
typedef Principal_var | _var_type
## Public Methods
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
| Principal (void)
## Static Public Methods
Principal * | _duplicate (Principal *)
Principal * | _nil (void)
## Public Attributes
CORBA::OctetSeq | id
## Protected Methods
| ~Principal (void)
| Destructor.
## Private Methods
Principal & | operator= (const CORBA::Principal_ptr &)
| Principal (const CORBA::Principal_ptr &)
## Private Attributes
CORBA::ULong | refcount_
| Number of outstanding references to this object.
TAO_SYNCH_MUTEX | refcount_mutex_

## Detailed Description

A "Principal" identifies an authenticated entity in the network administration framework.

Identities are used to control acccess (authorization) as well as in audit trails (accountability).

Note:
  This CORBA feature has been deprecated by the OMG. Use the CORBA Security Service instead.

## Member Typedef Documentation

typedef Principal_ptr CORBA::Principal::_ptr_type

typedef Principal_var CORBA::Principal::_var_type

## Constructor & Destructor Documentation

CORBA::Principal::Principal | ( | void |  | ) |

CORBA::Principal::~Principal | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce proper memory management through the reference counting mechanism.

CORBA::Principal::Principal | ( | const CORBA::Principal_ptr & |  | ) | `[private]`

## Member Function Documentation

ACE_INLINE CORBA::ULong CORBA::Principal::_decr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::Principal * CORBA::Principal::_duplicate | ( | Principal * |  | ) | `[static]`

ACE_INLINE CORBA::ULong CORBA::Principal::_incr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::Principal * CORBA::Principal::_nil | ( | void |  | ) | `[static]`

Principal& CORBA::Principal::operator= | ( | const CORBA::Principal_ptr & |  | ) | `[private]`

## Member Data Documentation

CORBA::OctetSeq CORBA::Principal::id

CORBA::ULong CORBA::Principal::refcount_`[private]`

| Number of outstanding references to this object.

TAO_SYNCH_MUTEX CORBA::Principal::refcount_mutex_`[private]`

| Protect the reference count, this is OK because we do no duplicates or releases on the critical path.

The documentation for this class was generated from the following files:

- Principal.h
- Principal.cpp
- Principal.i